package errorhandler

import (
	"fmt"
)

// LogError logs an error that is not nil
func LogError(err error, msg string) {
	if err != nil {
		fmt.Printf("%s: %v", msg, err)
	}
}

// FailWithError panics if the error is not nil
func FailWithError(err error, msg string) {
	if err != nil {
		fmt.Printf("%s: %v", msg, err)
		panic(err)
	}
}
